[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'rttiutils' (#fcl)

# CreateStoredItem

Concatenates component and property name

## Declaration

Source position: rttiutils.pp line 127

`function CreateStoredItem(`
`const CompName: String;`
`const PropName: String`
`):String;`

## Arguments

`CompName` |  | Component name
`PropName` |  | Property name

## Function result

Full property path

## Description

CreateStoredItem concatenates CompName and PropName if they are both empty. The names are separated by a dot (.) character. If either of the names is empty, an empty string is returned.

This function can be used to create items for the list of properties such as used in UpdateStoredList, TPropsStorage.StoreObjectsProps or TPropsStorage.LoadObjectsProps.

## See also

ParseStoredItem |  | Split a property reference to component reference and property name
UpdateStoredList |  | Update a stringlist with object references
TPropsStorage.StoreObjectsProps |  | Store a list of component properties
TPropsStorage.LoadObjectsProps |  | Load a list of component properties

The latest version of this document can be found at lazarus-ccr.sourceforge.net .